This business owns these ads-related studies. Includes lift studies, split tests and so on.
GET /v25.0/{business-id}/ad_studies HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->get(
'/{business-id}/ad_studies',
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result *//* make the API call */
FB.api(
"/{business-id}/ad_studies",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{business-id}/ad_studies",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{business-id}/ad_studies"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];Reading from this edge will return a JSON formatted result:
{ "
data": [], "paging": {} }
datapaging| Error | Description |
|---|---|
| 200 | Permissions error |
| 100 | Invalid parameter |
| 80004 | There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting#ads-management. |
| 104 | Incorrect signature |
ad_studies edge from the following paths: | Parameter | Description |
|---|---|
cellslist<Object> | Describes the cells in the study. Required |
client_businessnumeric string or integer | Business associated with the study. |
confidence_levelfloat | Confidence level used in power calculations and final study report. |
cooldown_start_timeinteger | Start of the pre-measurement cool-down period. This period ends when the study period starts. |
creative_test_configJSON object | (Optional) Configuration for launching a 2-5 cell creative test. Specify either daily_budget or lifetime_budget_percentage to set the budget allocation for the study across the cells' ads. The study's "type" field must also be defined as SPLIT_TEST_V2 when creative_test_config is included in the request. |
descriptionstring | The purpose of the study. |
end_timeinteger | Time when the study period ends. Required |
namestring | Name of the study. Required |
objectiveslist<Object> | A vector of objects describing the objectives assigned to this study. |
observation_end_timeinteger | The end of the observation period for this study. This period starts when the study period ends. |
start_timeinteger | The time when the study period starts. Required |
typeenum {LIFT, SPLIT_TEST, CONTINUOUS_LIFT_CONFIG, GEO_LIFT, BACKEND_AB_TESTING, CREATIVE_SPEND_ENFORCEMENT, PORTFOLIO_OPTIMIZER, VERSION_CONTROL} | The type of ad study, such as |
viewerslist<int> | This study is shared with these people. |
id in the return type.id: numeric string, | Error | Description |
|---|---|
| 100 | Invalid parameter |
| 200 | Permissions error |